# TransactionalStateRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class TransactionalStateRequest<T>

- java.lang.Object
- - io.dapr.client.domain.TransactionalStateRequest<T>

Type Parameters:
  `T` - Type of state value in TransactionalStateOperation

    public class TransactionalStateRequest<T>
    extends Object

A class to represent request for transactional state.

### Constructor Summary

Constructors
`TransactionalStateRequest​(List<TransactionalStateOperation<T>> operations, Map<String,​String> metadata)` Constructor to create immutable transactional state request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​String>` `getMetadata()`
`List<TransactionalStateOperation<T>>` `getOperations()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionalStateRequest

    public TransactionalStateRequest​(List<TransactionalStateOperation<T>> operations,
                                     Map<String,​String> metadata)

Constructor to create immutable transactional state request object.

Parameters:
  `operations` - List of operations to be performed.
  `metadata` - Metadata used for transactional operations.

### Method Detail

#### getOperations

    public List<TransactionalStateOperation<T>> getOperations()

#### getMetadata

    public Map<String,​String> getMetadata()